> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/de/api-documentation/blacklist-whitelist-management/add-addresses-to-whitelist.md).

# Adressen zur Whitelist hinzufügen

## Add addresses to whitelist

> Add one or more addresses to your whitelist.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"Whitelist","description":"Whitelist management APIs."}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"Production server"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"BlacklistOrWhiteAddress":{"type":"object","required":["addresses"],"properties":{"addresses":{"type":"array","description":"The list of addresses to be added.","items":{"$ref":"#/components/schemas/BlacklistOrWhitelistAddressData"}}}},"BlacklistOrWhitelistAddressData":{"type":"object","required":["address","chainId","reason"],"properties":{"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"address":{"type":"string","description":"The address to be added."},"reason":{"type":"string","description":"The reason for adding the address."}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer"},"msg":{"type":"string"}}},"WhitelistAddressAddResult":{"type":"object","properties":{"addedAddresses":{"type":"array","description":"The list of added addresses.","items":{"$ref":"#/components/schemas/BlacklistOrWhitelistAddressData"}},"failed":{"type":"array","description":"The list of addresses that failed to be added.","items":{"$ref":"#/components/schemas/BlacklistOrWhitelistAddressFailedData"}}}},"BlacklistOrWhitelistAddressFailedData":{"type":"object","properties":{"chainId":{"type":"integer","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"address":{"type":"string","description":"The address to be added."},"reason":{"type":"string","description":"The reason for adding the address."},"status":{"type":"integer","description":"The failed reason for adding the address."}}}}},"paths":{"/whitelists/add":{"post":{"tags":["Whitelist"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlacklistOrWhiteAddress"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"The status code of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"The message of this request. For all possible codes and corresponding errors/messages, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)."},"data":{"$ref":"#/components/schemas/WhitelistAddressAddResult"}}}}}}},"description":"Add one or more addresses to your whitelist.","summary":"Add addresses to whitelist"}}}}
```
